## Class Figur

    java.lang.Object
      Figur

    abstract class Figur

extends java.lang.Object

Abstrakte Klassen bündeln gemeinsame Eigenschaften verschiedener Klassen, ohne dass Objekte dieser abstrakten Klasse erzeugt werden können. Von der abstrakten Klasse erben konkrete Klassen (siehe z.B. class Linie), die zur Herstellung von Objekten genutzt werden können. In der Regel entsteht eine abstrakte Klasse durch den Vergleich verschiedener Klassen auf gemeinsame Attribute und Methoden. author Alexander Dietz

Version:
  1.0 (1. März 2004)

Field Summary
`(package private) java.awt.Color` | `fuellfarbe`
`(package private) int` | `linienbreite`
`(package private) java.awt.Color` | `linienfarbe`
`(package private) int` | `muster`
`(package private) double` | `x1`
`(package private) double` | `y1`

Constructor Summary
`Figur()`

Method Summary
`(package private) abstract void` | `loesche()`
`(package private) abstract void` | `setzeFuellFarbe(java.awt.Color c)`
`(package private) abstract void` | `setzeLinienBreite(int l)`
`(package private) abstract void` | `setzeLinienFarbe(java.awt.Color c)`
`(package private) abstract void` | `strecke(double a)`
`(package private) abstract void` | `verschiebe(double dx, double dy)`
`(package private) abstract void` | `zeige()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### fuellfarbe

    java.awt.Color fuellfarbe

### linienbreite

    int linienbreite

### linienfarbe

    java.awt.Color linienfarbe

### muster

    int muster

### x1

    double x1

### y1

    double y1

Constructor Detail

### Figur

    Figur()

Method Detail

### loesche

    abstract void loesche()

### setzeFuellFarbe

    abstract void setzeFuellFarbe(java.awt.Color c)

### setzeLinienBreite

    abstract void setzeLinienBreite(int l)

### setzeLinienFarbe

    abstract void setzeLinienFarbe(java.awt.Color c)

### strecke

    abstract void strecke(double a)

### verschiebe

    abstract void verschiebe(double dx,
                             double dy)

### zeige

    abstract void zeige()